package com.microservices.pms.pipeline.service;

import com.microservices.pms.pipeline.domain.PmsCiPipelineGraphics;

import java.util.List;

/**
 * 流水线图形化构建Service接口
 * 
 * @author wanjia
 * @date 2024-05-23
 */
public interface IPmsCiPipelineGraphicsService 
{
    /**
     * 查询流水线图形化构建
     * 
     * @param id 流水线图形化构建主键
     * @return 流水线图形化构建
     */
    public PmsCiPipelineGraphics selectPmsCiPipelineGraphicsById(Long id);

    /**
     * 查询流水线图形化构建列表
     * 
     * @param pmsCiPipelineGraphics 流水线图形化构建
     * @return 流水线图形化构建集合
     */
    public List<PmsCiPipelineGraphics> selectPmsCiPipelineGraphicsList(PmsCiPipelineGraphics pmsCiPipelineGraphics);

    /**
     * 新增流水线图形化构建
     * 
     * @param pmsCiPipelineGraphics 流水线图形化构建
     * @return 结果
     */
    public int insertPmsCiPipelineGraphics(PmsCiPipelineGraphics pmsCiPipelineGraphics);

    /**
     * 修改流水线图形化构建
     * 
     * @param pmsCiPipelineGraphics 流水线图形化构建
     * @return 结果
     */
    public int updatePmsCiPipelineGraphics(PmsCiPipelineGraphics pmsCiPipelineGraphics);

    /**
     * 批量删除流水线图形化构建
     * 
     * @param ids 需要删除的流水线图形化构建主键集合
     * @return 结果
     */
    public int deletePmsCiPipelineGraphicsByIds(Long[] ids);

    /**
     * 删除流水线图形化构建信息
     * 
     * @param id 流水线图形化构建主键
     * @return 结果
     */
    public int deletePmsCiPipelineGraphicsById(Long id);

    PmsCiPipelineGraphics selectPmsCiPipelineGraphicsByPmsCiPipelineId(Long pmsCiPipelineId);

    int deletePmsCiPipelineGraphicsByPipelineIds(Long[] pmsCiPipelineIds);
}
